<%@ Page Language="VB" %>
<%@ Import Namespace="System.IO" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub btnUpload_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim postfile As HttpPostedFile = upFile.PostedFile
        Dim uppath As String = Server.MapPath("~/App_Data/doc/" & Path.GetFileName(postfile.FileName))
        If rdoOver.SelectedValue = "forbid" And File.Exists(uppath) Then
            ltrResult.Text = "同名のファイルが存在します。"
        Else
            If postfile.ContentType = "image/gif" Then
                postfile.SaveAs(uppath)
                ltrResult.Text = postfile.FileName & "をアップロードしました。"
            Else
                ltrResult.Text = "GIF画像しかアップロードできません。"
            End If
        End If
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>FileUploadコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        登録ファイル：
        <asp:FileUpload ID="upFile" runat="server" /><br />
        ファイルの上書き：<asp:RadioButtonList ID="rdoOver" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
            <asp:ListItem Value="permit">許可</asp:ListItem>
            <asp:ListItem Selected="True" Value="forbid">禁止</asp:ListItem>
        </asp:RadioButtonList></div>
        <asp:Button ID="btnUpload" runat="server" OnClick="btnUpload_Click" Text="アップロード" /><br />
        <asp:Literal ID="ltrResult" runat="server"></asp:Literal>
    </form>
</body>
</html>
